# m3e/fab_menu

FabMenu is a menu, opened from a floating action button (FAB), used to display multiple related actions.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## FabMenu

opaque </>

FabMenu is a View Model for this component

## Fields:

- variant: The appearance variant of the menu.

    pub opaque type FabMenu

# Values

## default_variant

</>

    pub const default_variant: fab_menu_variant.FabMenuVariant

## new

</>

    pub fn new(variant: fab_menu_variant.FabMenuVariant) -> FabMenu

new creates a new FabMenu with the default configuration.

## render

</>

    pub fn render(
      model: FabMenu,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a FabMenu

## variant

</>

    pub fn variant(
      arg: FabMenu,
      variant: fab_menu_variant.FabMenuVariant,
    ) -> FabMenu

variant sets the value of variant for this FabMenu.

✨